LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Unable to compile conky with lua support (http://www.linuxquestions.org/questions/slackware-14/unable-to-compile-conky-with-lua-support-4175452377/)

Stephen Morgan 03-02-2013 08:11 AM

Unable to compile conky with lua support
 
Code:

checking for X11... yes
checking for Imlib2... yes
checking for LUA... yes
checking for cairo... yes
checking for cairo_xlib... yes
checking for tolua++... tolua++
checking for library containing tolua_error... no
configure: error: tolua_error not found

conky:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:

64-bit -current.

It looks like I need to install another library, but I can't find any information by googling as to what library I need to install.

All I could find on google was something from 2009 on the Arch forum, saying to set LUA51_LIBS, which didn't work.

ponce 03-02-2013 09:11 AM

are you using the script from SBo? That works fine here, when the optional dependencies (also from SBo) are installed
Code:

checking for LUA... yes
checking for cairo... yes
checking for cairo_xlib... yes
checking for tolua++... tolua++
checking for library containing tolua_error... -ltolua++
...

you can also see if you have some details of the error in the config.log.

Stephen Morgan 03-03-2013 11:07 AM

All the dependencies (lua, tulua++, imlib2) were installed, but after recompiling and reinstalling them all it's now working.


All times are GMT -5. The time now is 09:25 AM.